## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanQNameByValue Class Reference

Inheritance diagram for XalanQNameByValue:

[legend]
Collaboration diagram for XalanQNameByValue:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator LocatorType

## Public Member Functions

- XalanQNameByValue (MemoryManagerType &theManager)
    Construct an empty XalanQNameByValue.
- MemoryManagerType & getMemoryManager ()
- XalanQNameByValue (const XalanQNameByValue &theSource, MemoryManagerType &theManager)
    Copy constructor.
- XalanQNameByValue (const XalanQName &theSource, MemoryManagerType &theManager)
    Construct an instance from another XalanQName.
- XalanQNameByValue (const XalanDOMString &theNamespace, const XalanDOMString &theLocalPart, MemoryManagerType &theManager)
    Construct a XalanQNameByValue, with the supplied namespace and local part.
- XalanQNameByValue (const XalanDOMString &qname, const NamespacesStackType &namespaces, MemoryManagerType &theManager, const LocatorType *locator=0, bool fUseDefault=false)
    Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.
- XalanQNameByValue (const XalanDOMChar *qname, const NamespacesStackType &namespaces, MemoryManagerType &theManager, const LocatorType *locator=0, bool fUseDefault=false)
    Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.
- XalanQNameByValue (const XalanDOMString &qname, const XalanElement *namespaceContext, const XPathEnvSupport &envSupport, const DOMSupport &domSupport, MemoryManagerType &theManager, const LocatorType *locator=0)
    Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace context.
- XalanQNameByValue (const XalanDOMString &qname, MemoryManagerType &theManager, const PrefixResolver *theResolver=0, const LocatorType *locator=0)
    Construct a XalanQNameByValue from a string, resolving the prefix using the given prefix resolver.
- virtual ~XalanQNameByValue ()
- virtual const XalanDOMString & getLocalPart () const
    Retrieve the local part of qualified name.
- void setLocalPart (const XalanDOMString &theLocalPart)
    Set the local part of qualified name.
- virtual const XalanDOMString & getNamespace () const
    Retrieve the namespace of qualified name.
- void setNamespace (const XalanDOMString &theNamespace)
    Set the Namespace URI of qualified name.
- void set (const XalanDOMString &qname, const NamespacesStackType &namespaces, const LocatorType *locator=0, bool fUseDefault=false)
    Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.
- void set (const XalanDOMChar *qname, const NamespacesStackType &namespaces, const LocatorType *locator=0, bool fUseDefault=false)
    Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.
- void set (const XalanDOMString &qname, const PrefixResolver *theResolver=0, const LocatorType *locator=0)
    Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the resolver provided.
- void set (const XalanDOMChar *qname, const PrefixResolver *theResolver=0, const LocatorType *locator=0)
    Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the resolver provided.
- void clear ()
    Clear the instance.
- XalanQNameByValue & operator= (const XalanQNameByValue &theRHS)
- XalanQNameByValue & operator= (const XalanQName &theRHS)

## Static Public Member Functions

- XalanQNameByValue * create (const XalanDOMString &theNamespace, const XalanDOMString &theLocalPart, MemoryManagerType &theManager)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator XalanQNameByValue::LocatorType

## Constructor & Destructor Documentation

XalanQNameByValue::XalanQNameByValue | ( | MemoryManagerType & | theManager | ) | `[explicit]`

| Construct an empty XalanQNameByValue.

XalanQNameByValue::XalanQNameByValue | ( | const XalanQNameByValue & | theSource,
|  | MemoryManagerType & | theManager
| ) |

Copy constructor.

Parameters:

  theSource | The source of the copy.

XalanQNameByValue::XalanQNameByValue | ( | const XalanQName & | theSource,
|  | MemoryManagerType & | theManager
| ) | `[explicit]`

Construct an instance from another XalanQName.

Parameters:

  theSource | The source of the copy.

XalanQNameByValue::XalanQNameByValue | ( | const XalanDOMString & | theNamespace,
|  | const XalanDOMString & | theLocalPart,
|  | MemoryManagerType & | theManager
| ) |

Construct a XalanQNameByValue, with the supplied namespace and local part.

Parameters:

  theNamespace | namespace string
  theLocalPart | local part string

XalanQNameByValue::XalanQNameByValue | ( | const XalanDOMString & | qname,
|  | const NamespacesStackType & | namespaces,
|  | MemoryManagerType & | theManager,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

XalanQNameByValue::XalanQNameByValue | ( | const XalanDOMChar * | qname,
|  | const NamespacesStackType & | namespaces,
|  | MemoryManagerType & | theManager,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

XalanQNameByValue::XalanQNameByValue | ( | const XalanDOMString & | qname,
|  | const XalanElement * | namespaceContext,
|  | const XPathEnvSupport & | envSupport,
|  | const DOMSupport & | domSupport,
|  | MemoryManagerType & | theManager,
|  | const LocatorType * | locator = 0
| ) |

Construct a XalanQNameByValue from a string, resolving the prefix using the given namespace context.

The default namespace is not resolved.

Parameters:

  qname | QName string
  namespaceContext | context object for namespace resolution
  envSupport | XPathEnvSupport class instance
  domSupport | DOMSupport class instance
  locator | The Locator instance for error reporting, if any

XalanQNameByValue::XalanQNameByValue | ( | const XalanDOMString & | qname,
|  | MemoryManagerType & | theManager,
|  | const PrefixResolver * | theResolver = 0,
|  | const LocatorType * | locator = 0
| ) |

Construct a XalanQNameByValue from a string, resolving the prefix using the given prefix resolver.

The default namespace is not resolved.

Parameters:

  qname | QName string
  theResolver | prefix resolver to use
  locator | The Locator instance for error reporting, if any

virtual XalanQNameByValue::~XalanQNameByValue | ( |  | ) | `[virtual]`

## Member Function Documentation

void XalanQNameByValue::clear | ( |  | ) |

| Clear the instance.

XalanQNameByValue* XalanQNameByValue::create | ( | const XalanDOMString & | theNamespace,
|  | const XalanDOMString & | theLocalPart,
|  | MemoryManagerType & | theManager
| ) | `[static]`

virtual const XalanDOMString& XalanQNameByValue::getLocalPart | ( |  | ) | const`[virtual]`

Retrieve the local part of qualified name.

Returns:
  local part string

Implements XalanQName.

MemoryManagerType& XalanQNameByValue::getMemoryManager | ( |  | ) |

virtual const XalanDOMString& XalanQNameByValue::getNamespace | ( |  | ) | const`[virtual]`

Retrieve the namespace of qualified name.

Returns:
  namespace string

Implements XalanQName.

XalanQNameByValue& XalanQNameByValue::operator= | ( | const XalanQName & | theRHS | ) |

XalanQNameByValue& XalanQNameByValue::operator= | ( | const XalanQNameByValue & | theRHS | ) |

void XalanQNameByValue::set | ( | const XalanDOMChar * | qname,
|  | const PrefixResolver * | theResolver = 0,
|  | const LocatorType * | locator = 0
| ) |

Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the resolver provided.

The default namespace is not resolved.

Parameters:

  qname | QName string
  theResolver | prefix resolver to use
  locator | The Locator instance for error reporting, if any

void XalanQNameByValue::set | ( | const XalanDOMString & | qname,
|  | const PrefixResolver * | theResolver = 0,
|  | const LocatorType * | locator = 0
| ) |

Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the resolver provided.

The default namespace is not resolved.

Parameters:

  qname | QName string
  theResolver | prefix resolver to use
  locator | The Locator instance for error reporting, if any

void XalanQNameByValue::set | ( | const XalanDOMChar * | qname,
|  | const NamespacesStackType & | namespaces,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

void XalanQNameByValue::set | ( | const XalanDOMString & | qname,
|  | const NamespacesStackType & | namespaces,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Set the local part and namespace URI of a XalanQNameByValue from a string, resolving the prefix using the given namespace vector stack.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

void XalanQNameByValue::setLocalPart | ( | const XalanDOMString & | theLocalPart | ) |

Set the local part of qualified name.

Parameters:

  theLocalPart | local part string

void XalanQNameByValue::setNamespace | ( | const XalanDOMString & | theNamespace | ) |

Set the Namespace URI of qualified name.

Parameters:

  theLocalPart | local part string

The documentation for this class was generated from the following file:

- XalanQNameByValue.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.